Index: NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 14843)
+++ NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 15023)
@@ -26,7 +26,7 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
+!!   namc1d       1D configuration options                              (ln_c1d =T)
+!!   namc1d_dyndmp 1D newtonian damping applied on currents             (ln_c1d =T)
+!!   namc1d_uvd   1D data (currents)                                    (ln_c1d =T)
 !!======================================================================
 !
@@ -51,5 +51,7 @@
    ln_linssh   = .true.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_Dt      =  360.     !  time step for the dynamics and tracer
+   rn_Dt       =  360.     !  time step for the dynamics and tracer
+   !
+   ln_c1d      = .true.    !  Single column domain (1x1pt)              (T => fill namc1d)
 /
 !-----------------------------------------------------------------------
@@ -83,17 +85,16 @@
 /
 !-----------------------------------------------------------------------
-&namc1d        !   1D configuration options                             ("key_c1d" default: PAPA station)
-!-----------------------------------------------------------------------
-   rn_lat1d    =      50   !  Column latitude
-   rn_lon1d    =    -145   !  Column longitude
-   ln_c1d_locpt =  .true.   ! Localization of 1D config in a grid (T) or independant point (F)
-/
-!-----------------------------------------------------------------------
-&namc1d_dyndmp !   U & V newtonian damping                              ("key_c1d" default: OFF)
+&namc1d        !   1D configuration options                             (ln_c1d =T default: PAPA station)
+!-----------------------------------------------------------------------
+   rn_lat1d    =    50.    !  Column latitude
+   rn_lon1d    =  -145.    !  Column longitude
+/
+!-----------------------------------------------------------------------
+&namc1d_dyndmp !   U & V newtonian damping                              (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    ln_dyndmp   =  .false.  !  add a damping term (T) or not (F)
 /
 !-----------------------------------------------------------------------
-&namc1d_uvd    !   data: U & V currents                                 ("key_c1d" default: OFF)
+&namc1d_uvd    !   data: U & V currents                                 (ln_c1d =T default: OFF)
 !-----------------------------------------------------------------------
    !                       !  =T read U-V fields for:
Index: NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 14843)
+++ NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 15023)
@@ -71,10 +71,10 @@
       kk_cfg = 0
 
-      ! Global Domain size:  C1D domain is 3 x 3 grid-points x 75 or vertical levels
-      kpi = 3
-      kpj = 3
-      kpk = 75 
+      ! Global Domain size:  C1D domain is 1 x 1 grid-points x 75 or vertical levels
+      kpi = 1
+      kpj = 1
+      kpk = 75
       !                             ! Set the lateral boundary condition of the global domain
-      ldIperio =  .TRUE.   ;   ldJperio = .TRUE.   ! C1D configuration : 3x3 basin with cyclic Est-West and Norht-South condition
+      ldIperio =  .TRUE.   ;   ldJperio = .TRUE.   ! C1D configuration : 1x1 basin with cyclic Est-West and Norht-South condition
       ldNFold  = .FALSE.   ;   cdNFtype = '-'
       !
@@ -89,5 +89,5 @@
          WRITE(numout,*) '         z-partial-step coordinate flag        ln_zps = ', ln_zps
          WRITE(numout,*) '         s-coordinate flag                     ln_sco = ', ln_sco
-         WRITE(numout,*) '      C1D domain = 3 x 3 x75 grid-points                '
+         WRITE(numout,*) '      C1D domain = 1 x 1 x 75 grid-points                '
          WRITE(numout,*) '         resulting global domain size :        jpiglo = ', kpi
          WRITE(numout,*) '                                               jpjglo = ', kpj
Index: NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 14843)
+++ NEMO/trunk/cfgs/C1D_PAPA/cpp_C1D_PAPA.fcm	(revision 15023)
@@ -1,1 +1,1 @@
- bld::tool::fppkeys   key_c1d key_xios key_linssh
+ bld::tool::fppkeys   key_xios key_linssh
